Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 172845 - media-video/ffmpeg-0.4.9_p20070330 fail compile due to PIC register in clobbered asm
Summary: media-video/ffmpeg-0.4.9_p20070330 fail compile due to PIC register in clobbe...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
: 172888 172923 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-03-31 06:00 UTC by gunix
Modified: 2007-10-05 15:58 UTC (History)
27 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ffmpeg-0.4.9_p20070330-clobbered-ebx.patch (ffmpeg-0.4.9_p20070330-clobbered-ebx.patch,1.05 KB, patch)
2007-03-31 10:16 UTC, Markus Meier
Details | Diff
config.err (config.err,82.64 KB, text/plain)
2007-03-31 20:00 UTC, Dennis Schridde
Details
config.err (config.err,79.58 KB, text/plain)
2007-03-31 20:57 UTC, FieldySnuts
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gunix 2007-03-31 06:00:17 UTC
When emerging ffmpeg-0.4.9_p20070330 I get

cabac.h:109: warning: 'put_cabac_static' defined but not used
cabac.h:155: warning: 'put_cabac_terminate' defined but not used
cabac.h:183: warning: 'put_cabac_u' defined but not used
cabac.h:218: warning: 'put_cabac_ueg' defined but not used
cabac.h:270: warning: 'refill2' defined but not used
cabac.h:808: warning: 'get_cabac_u' defined but not used
cabac.h:824: warning: 'get_cabac_ueg' defined but not used
cabac.h: In function 'get_cabac_noinline':
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h: In function 'decode_cabac_mb_mvd':
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h: In function 'decode_cabac_residual':
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h:738: error: PIC register '%ebx' clobbered in 'asm'
cabac.h:689: error: PIC register '%ebx' clobbered in 'asm'
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h: In function 'decode_mb_cabac':
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'
make[1]: *** [h264.o] Error 1
make[1]: *** Waiting for unfinished jobs....
In file included from imc.c:40:
avcodec.h:2460: warning: 'ImgReSampleContext' is deprecated
avcodec.h:2463: warning: 'ImgReSampleContext' is deprecated
make[1]: Leaving directory `/var/tmp/portage/media-video/ffmpeg-0.4.9_p20070330/work/ffmpeg/libavcodec'
make: *** [lib] Error 2

!!! ERROR: media-video/ffmpeg-0.4.9_p20070330 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 3293:   Called src_compile
  ffmpeg-0.4.9_p20070330.ebuild, line 167:   Called die


Here is my emerge --info

Portage 2.1.2.2 (default-linux/x86/2006.0, gcc-4.1.1, glibc-2.5-r0, 2.6.17.13 i686)
=================================================================
System uname: 2.6.17.13 i686 AMD Athlon(tm) XP 2600+
Gentoo Base System release 1.12.9
Timestamp of tree: Sat, 31 Mar 2007 05:30:07 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.2.3-r5, 2.3.5-r3, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=athlon-xp -pipe -finline-functions -mmmx -m3dnow -msse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/app-defaults /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/php/apache1-php5/ext-active/ /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O3 -march=athlon-xp -pipe -finline-functions -mmmx -m3dnow -msse"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/ http://ds.thn.htu.se/linux/gentoo http://ftp.easynet.nl/mirror/gentoo/"
LINGUAS="en sv"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X Xaw3d acl acpi adns alsa apache2 apm arts atlas avi berkdb bindist bitmap-fonts cdparanoia cdr cli cracklib crypt cscope cups curl dga doc dri dvd emboss encode ethereal evo f77 fam fastcgi fb flac foomaticdb fortran gcj gd gdbm ggi gif ginac gphoto2 gpm gstreamer guile iconv icq imagemagick imap imlib innodb ipv6 isdnlog java jpeg junit kde lcms lesstif libg++ libgda libwww mad maildir mbox mcal midi mikmod mmx motif mozilla mp3 mpeg mpi msn ncurses nls nptl nptlonly odbc ogg oggvorbis opengl oscar oss pam pcre pdflib perl plotutils png ppds pppd python qt qt3 qt4 quicktime readline real reflection ruby sasl scanner sdl session slang spell spl sse ssl svg svga tcltk tcpd tetex theora tiff truetype truetype-fonts type1-fonts v4l v4l2 videos vmf vorbis x86 xml xml2 xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en sv" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-03-31 07:11:05 UTC
- Kindly review https://bugs.gentoo.org/page.cgi?id=fields.html#bug_severity
- Try with C[XX]FLAGS="-O2 -march=athlon-xp -pipe"
Comment 2 gunix 2007-03-31 07:27:46 UTC
Sorry if I gave it the wrong priority :-(

This chabge of CXXFLAG, should I change make.conf with this? and then change back afterwards? Or can I tell emerge to use these parameters for just the ffmpeg package?
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2007-03-31 07:35:49 UTC
(In reply to comment #2)
> This chabge of CXXFLAG, should I change make.conf with this? and then change
> back afterwards? Or can I tell emerge to use these parameters for just the
> ffmpeg package?

Doesn't matter; you can use them on commandline or alter make.conf, won't make a difference.
 

Comment 4 Mark Kowarsky (RETIRED) gentoo-dev 2007-03-31 07:59:51 UTC
Get mostly the same error message (a few less "cabac.h:522: error: PIC register '%ebx' clobbered in 'asm'") here.

tyrone mark # emerge --info
Portage 2.1.2.3 (default-linux/x86/2006.1/desktop, gcc-4.1.2, glibc-2.5-r1, 2.6.20-gentoo-r3 i686)
=================================================================
System uname: 2.6.20-gentoo-r3 i686 Intel(R) Celeron(R) CPU 2.40GHz
Gentoo Base System version 1.12.9
Timestamp of tree: Sat, 31 Mar 2007 00:20:01 +0000
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.20-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="ftp://mirror.aarnet.edu.au/pub/gentoo/ http://mirror.aarnet.edu.au/pub/gentoo/"
LINGUAS="en en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="X alsa arts berkdb bitmap-fonts cairo cdr cli cracklib crypt cups dbus dri dvd dvdr eds emboss encode esd fam firefox fortran gdbm gif gpm gstreamer gtk gtk2 hal iconv imlib ipv6 isdnlog jpeg kde kdeenablefinal ldap libg++ mad midi mikmod mmext mmx mp3 mpeg ncurses nls nptl nptlonly ogg opengl oss pam pcre perl png ppds pppd python qt qt3 qt4 quicktime readline reflection sdl session spell spl sse sse2 ssl tcpd truetype truetype-fonts type1-fonts unicode usb vorbis win32codecs x86 xcomposite xine xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB" USERLAND="GNU" VIDEO_CARDS="savage vesa vga"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Ira Snyder 2007-03-31 08:04:58 UTC
I also am running into this problem. I found this bug, and tested the compile
with CFLAGS and CXXFLAGS set to "-O2 -march=athlon-xp -pipe", with no
difference. FFMpeg still does not compile.

Here is my emerge --info:
Portage 2.1.2.3 (default-linux/x86/2006.1/desktop, gcc-4.1.2, glibc-2.5-r1,
2.6.20-gentoo-r2 i686)
=================================================================
System uname: 2.6.20-gentoo-r2 i686 AMD Athlon(tm) XP 3000+
Gentoo Base System release 1.12.9
Timestamp of tree: Sat, 31 Mar 2007 06:20:01 +0000
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.20-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon-xp -O2 -fomit-frame-pointer -pipe
-fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig candy distlocks fixpackages metadata-transfer
parallel-fetch sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.osuosl.org/
http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/
ftp://gentoo.chem.wisc.edu/gentoo/ http://open-systems.ufl.edu/mirrors/gentoo
http://gentoo.ngi.it"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages
--filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/gentopia
/usr/portage/local/layman/nx /usr/portage/local/layman/initng
/usr/portage/local/layman/xeffects /usr/local/portage"
SYNC="rsync://ping.local/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi aiglx alsa ao aoss audiofile bash-completion
berkdb branding bzip2 cairo cdr chardet cli cracklib crypt cscope cups curl
dbus dhcp dri dts dvd dvdr dvdread eap-tls edl emboss enca exif extras fbcon
ffmpeg filter_default firefox flac freetype gdbm gif glitz gpm gsl gstreamer
gtk gtkhtml hal hpn iconv idn imap imlib isdnlog java jpeg kde kdeenablefinal
kdehiddenvisibility libg++ libnotify logitech-mouse mad matroska mikmod mmap
mmx mmxext mono mozbranding mozsvg mp3 mpeg musepack ncurses newspr no_wxgtk1
nonfsv4 nptl nptlonly offensive ogg opengl pam pcre pdf perl pertty png ppds
pppd python qt3 quicktime readline real reflection rtc session slang spell spl
sse ssl stream subtitles svg tcltk tcpd theora threads truetype truetype-fonts
unicode usb userlocales vim-pager vim-syntax vorbis win32codecs wxwindows x86
xcb xine xml xorg xv xvid zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm
alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa
lfloat linear meter mulaw multi null plug rate route share shm softvol"
ELIBC="glibc" INITNG_PLUGINS="also bash_launcher chdir chroot conflict cpout
critical cron daemon dev dllaunch envparser find fstat history idleprobe
initctl interactive iparser last limit logfile netprobe ngc4 pause pidfile
reload renice rlparser simple_launcher stcmd stdout suid syncron syslog
unneeded provide ctrlaltdel" INPUT_DEVICES="keyboard mouse evdev"
KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001
mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa
fbdev"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS,
PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 A.C.Heron 2007-03-31 09:27:47 UTC
Similar problems on AMD64:

Portage 2.1.2.2 (default-linux/amd64/2006.1, gcc-4.1.1, glibc-2.5-r0, 2.6.18-gentoo-r6 x86_64)
=================================================================
System uname: 2.6.18-gentoo-r6 x86_64 AMD Athlon(tm) 64 Processor 2800+
Gentoo Base System release 1.12.9
Timestamp of tree: Sat, 31 Mar 2007 06:00:01 +0000
ccache version 2.4 [disabled]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/ ftp://cesium.di.uminho.pt/pub/gentoo/ http://ftp.gentoo.or.kr/ ftp://pandemonium.tiscali.de/pub/gentoo/ ftp://ftp.isu.edu.tw/pub/Linux/Gentoo http://ftp.isu.edu.tw/pub/Linux/Gentoo http://mirror.gentoo.gr.jp http://gentoo.cites.uiuc.edu/pub/gentoo/ http://mirror.usu.edu/mirrors/gentoo/ ftp://ftp.du.se/pub/os/gentoo"
LANG="ru_RU.UTF-8"
LC_ALL="ru_RU.UTF-8"
LINGUAS="ru en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X alsa amd64 berkdb bitmap-fonts cairo cli cracklib crypt cups curl doc dri flac fortran gdbm gif gpm iconv isdnlog jpeg kde libg++ midi mp3 ncurses nls nptl nptlonly ogg opengl pam pcre perl png ppds pppd python readline reflection sdl sdl-sound session slang spl ssl svg tcpd tiff timidity truetype truetype-fonts type1-fonts unicode userlocales vorbis xorg xpm zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" USERLAND="GNU" VIDEO_CARDS="apm ark ati chips cirrus cyrix dummy fbdev glint i128 i810 mga neomagic nv rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2007-03-31 10:03:31 UTC
I tried to extract which USE flags were used for building ffmpeg on your
systems.  I just cannot reproduce.  Please give $(emerge -pv ffmpeg).

Adding amd64, too
Comment 8 gunix 2007-03-31 10:09:39 UTC
On my system

emerge -pv ffmpeg

[ebuild     U ] media-video/ffmpeg-0.4.9_p20070330 [0.4.9_p20070129] USE="X%* a52 aac doc encode imlib mmx ogg oss sdl theora truetype v4l vorbis x264 xvid zlib (-altivec) -amr -debug -dts -ieee1394 -network -test -threads" 0 kB 
Comment 9 gunix 2007-03-31 10:12:02 UTC
Changing CXX flags doesn't help. Same error.
Comment 10 Markus Meier gentoo-dev 2007-03-31 10:16:30 UTC
Created attachment 115012 [details, diff]
ffmpeg-0.4.9_p20070330-clobbered-ebx.patch

This patch fixes the compilation problem for me.

btw:
media-video/ffmpeg-0.4.9_p20070330 [0.4.9_p20070129] USE="X%* a52 aac dts encode mmx network ogg oss sdl theora threads truetype vorbis x264 xvid zlib (-altivec) -amr -debug -doc -ieee1394 -imlib -test -v4l"
Comment 11 Christian Faulhammer (RETIRED) gentoo-dev 2007-03-31 10:34:41 UTC
(In reply to comment #10)
> Created an attachment (id=115012) [edit]
> ffmpeg-0.4.9_p20070330-clobbered-ebx.patch
> 
> This patch fixes the compilation problem for me.

 Ok, I just checked the wrong version of ffmpeg, I can reproduce.  The fix is not applied upstream.

media-video: Please apply the patch and report the problem upstream.
Comment 12 Jakub Moc (RETIRED) gentoo-dev 2007-03-31 15:02:46 UTC
*** Bug 172888 has been marked as a duplicate of this bug. ***
Comment 13 Alexis Ballier gentoo-dev 2007-03-31 18:36:07 UTC
>  Ok, I just checked the wrong version of ffmpeg, I can reproduce.  The fix is
> not applied upstream.
> 
> media-video: Please apply the patch and report the problem upstream.


It compiles... but does it work ?

I think the problem is more something like : 
http://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec/h264.c?r1=8399&r2=8549
http://svn.mplayerhq.hu/ffmpeg?view=rev&revision=8549

I have CONFIG_7REGS and CONFIG_EBX_AVAILABLE defined  and ARCH_X86 means x86 or x86_64, but I also have PIC and __GNUC__ defined, so the first case it was not compiled and now it is, perhaps that's what is causing this failure.

Readding !defined(PIC) on those lines allowed me to compile.
Comment 14 Alexis Ballier gentoo-dev 2007-03-31 19:38:41 UTC
Quoting Guillaume POIRIER on ffmpeg-devel ml :
	
the patch attached to that bug report
http://bugs.gentoo.org/attachment.cgi?id=115012 is mega turbo wrong.
Removing the PIC register from the clobber list is obviously wrong: it
will compile, but produce corrupt data.


Quoting Måns Rullgård :

Those bug reports are useless.  We need the config.err file to tell
what happened.
Comment 15 Dennis Schridde 2007-03-31 20:00:36 UTC
Created attachment 115084 [details]
config.err

Here you are...
Comment 16 FieldySnuts 2007-03-31 20:57:33 UTC
Created attachment 115089 [details]
config.err

I am seeing the same problem here.

[ebuild     U ] media-video/ffmpeg-0.4.9_p20070330 [0.4.9_p20070129] USE="X%* encode ieee1394 network ogg oss sdl threads truetype vorbis xvid zlib -a52 -aac (-altivec) -amr -debug -doc -dts -imlib -mmx -test -theora -v4l -x264"

Portage 2.1.2.3 (default-linux/x86/2006.1/desktop, gcc-4.1.2, glibc-2.5-r1, 2.6.19.3-reiser4-2 i686)
=================================================================
System uname: 2.6.19.3-reiser4-2 i686 AMD Athlon(TM) XP 1800+
Gentoo Base System release 1.12.9
Timestamp of tree: Sat, 31 Mar 2007 18:50:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.3.6, 2.4.4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.20-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache collision-protect distcc distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.chem.wisc.edu/gentoo/ ftp://gentoo.chem.wisc.edu/gentoo/ ftp://gentoo.mirrors.tds.net/gentoo http://mirror.datapipe.net/gentoo"
LINGUAS="en"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/nx /usr/portage/local/layman/voip /usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="3dnow X alsa am berkdb bitmap-fonts bzip2 cairo cdr chroot cli cracklib crypt dbus dri dv dvd dvdr eds emboss encode fam firefox fortran gdbm gif gnome gpm gstreamer gtk gtk2 hal iconv isdnlog jpeg kde kdeenablefinal libg++ mad midi mikmod mmx mp3 mpeg ncurses nls nptl nptlonly ogg oggvorbis opengl oss pam pcre pdflib perl png ppds pppd pwdb python qt3 qt4 quicktime readline reflection sdl session spell spl sse ssl tiff truetype truetype-fonts type1-fonts unicode vorbis win32codecs x86 xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nv"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2007-03-31 21:08:21 UTC
*** Bug 172923 has been marked as a duplicate of this bug. ***
Comment 18 Ryan Hill (RETIRED) gentoo-dev 2007-04-01 01:31:27 UTC
*** Bug 172950 has been marked as a duplicate of this bug. ***
Comment 19 Alexis Ballier gentoo-dev 2007-04-01 12:41:14 UTC
p.masked, no need to have this version spread over every user : 

# Alexis Ballier <aballier@gentoo.org> (1 Apr 2007)
# Broken with PIC on x86{,64}
=media-video/ffmpeg-0.4.9_p20070330
Comment 20 Alexis Ballier gentoo-dev 2007-04-05 19:31:45 UTC
I've disabled non pic safe asm and reverted the mask, this should be fine now.